> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Resident Charge: ResMan

POST https://api.propexo.com/v1/resident-charges/resman/
Content-Type: application/json

Create Resident Charge: ResMan. Important note: ResMan requires that the property management company approve partner (API) generated charges and payments. To do this, the PMC must go to the "Partner Transactions" tab in the ResMan portal and approve each transaction.| Interface           | Method                             |
| ------------------- | ---------------------------------- |
| Accounts Receivable | /MITS/PostResidentTransactions2\_0 |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/resman/billing-and-payments/create-resident-charge-res-man

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_resident-charges_resman__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `charge_code_id` (string, required) — The Propexo unique identifier for the charge code
- `batch_id` (string, required) — An identifier for the transaction batch. This should be unique to your system.
- `transaction_date` (string, required) — The transaction date of the resident charge
- `description` (string, required) — Description of the resident charge
- `notes` (string, required) — Notes associated with the resident charge
- `amount_in_cents` (integer, required) — The amount of the resident charge, in cents
- `reference_number` (string, required) — The reference number for the resident charge

## Response

### 200

Successful response

- `meta` (V1ResidentChargesResmanPostOutputMeta, required)
- `result` (V1ResidentChargesResmanPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ResidentChargesResmanPostOutputMeta

- `job_id` (string, required)

### V1ResidentChargesResmanPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `charge_code_id` (string, required) — The Propexo unique identifier for the charge code
- `batch_id` (string, required) — An identifier for the transaction batch. This should be unique to your system.
- `transaction_date` (string, required) — The transaction date of the resident charge
- `description` (string, required) — Description of the resident charge
- `notes` (string, required) — Notes associated with the resident charge
- `amount_in_cents` (integer, required) — The amount of the resident charge, in cents
- `reference_number` (string, required) — The reference number for the resident charge

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c",
  "resident_id": "res-1234567890abcdef",
  "charge_code_id": "chg-0987654321fedcba",
  "batch_id": "batch-20240601-001",
  "transaction_date": "2024-06-01T10:00:00Z",
  "description": "Monthly Parking Fee",
  "notes": "Charge for reserved parking spot #42",
  "amount_in_cents": 7500,
  "reference_number": "INV-20240601-0001"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-5a4b3c2d1e0f9a8b"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c",
    "resident_id": "res-1234567890abcdef",
    "charge_code_id": "chg-0987654321fedcba",
    "batch_id": "batch-20240601-001",
    "transaction_date": "2024-06-01T10:00:00Z",
    "description": "Monthly Parking Fee",
    "notes": "Charge for reserved parking spot #42",
    "amount_in_cents": 7500,
    "reference_number": "INV-20240601-0001"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/resident-charges/resman/"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c",
    "resident_id": "res-1234567890abcdef",
    "charge_code_id": "chg-0987654321fedcba",
    "batch_id": "batch-20240601-001",
    "transaction_date": "2024-06-01T10:00:00Z",
    "description": "Monthly Parking Fee",
    "notes": "Charge for reserved parking spot #42",
    "amount_in_cents": 7500,
    "reference_number": "INV-20240601-0001"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/resident-charges/resman/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c","resident_id":"res-1234567890abcdef","charge_code_id":"chg-0987654321fedcba","batch_id":"batch-20240601-001","transaction_date":"2024-06-01T10:00:00Z","description":"Monthly Parking Fee","notes":"Charge for reserved parking spot #42","amount_in_cents":7500,"reference_number":"INV-20240601-0001"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/resident-charges/resman/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c\",\n  \"resident_id\": \"res-1234567890abcdef\",\n  \"charge_code_id\": \"chg-0987654321fedcba\",\n  \"batch_id\": \"batch-20240601-001\",\n  \"transaction_date\": \"2024-06-01T10:00:00Z\",\n  \"description\": \"Monthly Parking Fee\",\n  \"notes\": \"Charge for reserved parking spot #42\",\n  \"amount_in_cents\": 7500,\n  \"reference_number\": \"INV-20240601-0001\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/resident-charges/resman/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c\",\n  \"resident_id\": \"res-1234567890abcdef\",\n  \"charge_code_id\": \"chg-0987654321fedcba\",\n  \"batch_id\": \"batch-20240601-001\",\n  \"transaction_date\": \"2024-06-01T10:00:00Z\",\n  \"description\": \"Monthly Parking Fee\",\n  \"notes\": \"Charge for reserved parking spot #42\",\n  \"amount_in_cents\": 7500,\n  \"reference_number\": \"INV-20240601-0001\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/resident-charges/resman/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c\",\n  \"resident_id\": \"res-1234567890abcdef\",\n  \"charge_code_id\": \"chg-0987654321fedcba\",\n  \"batch_id\": \"batch-20240601-001\",\n  \"transaction_date\": \"2024-06-01T10:00:00Z\",\n  \"description\": \"Monthly Parking Fee\",\n  \"notes\": \"Charge for reserved parking spot #42\",\n  \"amount_in_cents\": 7500,\n  \"reference_number\": \"INV-20240601-0001\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/resident-charges/resman/', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c",
  "resident_id": "res-1234567890abcdef",
  "charge_code_id": "chg-0987654321fedcba",
  "batch_id": "batch-20240601-001",
  "transaction_date": "2024-06-01T10:00:00Z",
  "description": "Monthly Parking Fee",
  "notes": "Charge for reserved parking spot #42",
  "amount_in_cents": 7500,
  "reference_number": "INV-20240601-0001"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/resident-charges/resman/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c\",\n  \"resident_id\": \"res-1234567890abcdef\",\n  \"charge_code_id\": \"chg-0987654321fedcba\",\n  \"batch_id\": \"batch-20240601-001\",\n  \"transaction_date\": \"2024-06-01T10:00:00Z\",\n  \"description\": \"Monthly Parking Fee\",\n  \"notes\": \"Charge for reserved parking spot #42\",\n  \"amount_in_cents\": 7500,\n  \"reference_number\": \"INV-20240601-0001\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c",
  "resident_id": "res-1234567890abcdef",
  "charge_code_id": "chg-0987654321fedcba",
  "batch_id": "batch-20240601-001",
  "transaction_date": "2024-06-01T10:00:00Z",
  "description": "Monthly Parking Fee",
  "notes": "Charge for reserved parking spot #42",
  "amount_in_cents": 7500,
  "reference_number": "INV-20240601-0001"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/resident-charges/resman/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```